package com.restphone.mechturk

object PipeOperator {
  class PipedObject[T] private[PipeOperator] (value: T) {
    def |>[R](f: T => R) = f(this.value)
  }
  implicit def toPiped[T](value: T) = new PipedObject[T](value)
}
